ONJava.com -- The Independent Source for Enterprise Java
oreilly.comSafari Books Online.Conferences.

advertisement

AddThis Social Bookmark Button
Article:
  ColdFusion MX on Mac OS X, Part 3
Subject:   After a few months of smooth use I'm getting: java.lang.IncompatibleClassChangeError
Date:   2003-03-14 06:59:15
From:   dicklacara
Response to: After a few months of smooth use I'm getting: java.lang.IncompatibleClassChangeError

Yes, I think it is Java 1.4.1 related.


When you create a new .cfm template or modify an existing one, CFMX generates a new Java source file. The next time this template is requested, CFMX uses Java to compile the file.


To do this, the ported version of CFMX uses a special Java 1.3.1 internal compiler that is not the same in Java 1.4.1.


This problem was detected during the beta test of CFMXJ2EE for Mac OS X (Developer) against the beta (Preview) of Java 1.4.1 from Apple. A fix was made to CFMXJ2EE for Mac OS X (Developer) so that it would work with Java 1.3.1 or Java 1.4.1.


CFMXJ2EE For Mac OS X (Developer) was released by Macromedia in January.


Java 1.4.1 was released by Apple a few days ago.


When installed, Java 1.4.1 is installed as the current Java version but the Java 1.3.1 is retained for compatibility.


Unfortunately, installing Java 1.4.1 breaks the unsupported port.


The good news is that this all works properly in the released version of CFMXJ2EE for Mac OS X (Developer).
on JRun, because JRun specifies the Java 1.3.1 version.


There is one problem however: The CFMXJ2EE for Mac OSX (Developer) GUI installer does not work properly with Java 1.4.1.


The workaround is to use the console installer.


Whew!


So, what I would do is:


1) Install JRun (Trial) for Mac OS X


2) Install CFMXJ2EE - JRun for Mac OS X (Developer) using the console version of the installer.


I have not tried CFMXJ2EE - JRun for Mac OS X (Developer) installed under Tomcat (or any other J2EE Application Server).


Whew!


HTH


Dick


1 to 1 of 1
  1. After a few months of smooth use I'm getting: java.lang.IncompatibleClassChangeError
    2003-03-14 08:18:37  swankboy [View]

    • After a few months of smooth use I'm getting: java.lang.IncompatibleClassChangeError
      2003-03-14 08:41:17  dicklacara [View]

1 to 1 of 1